;rbsp_efw_spinfit_vxb_subtract_crib.pro
;
;Create the vxb subtracted spinfit data (now from E12 data only)
;
;By Aaron W Breneman
;University of Minnesota
;2013-04-16


date = '2013-02-02'
probe = 'b'
timespan,date


rbsp_load_spice_kernels
rbsp_load_spice_state,probe=probe,coord='gse',/no_spice_load


store_data,'rbsp'+probe+'_state_pos_gse',newname='rbsp'+probe+'_pos_gse'
store_data,'rbsp'+probe+'_state_vel_gse',newname='rbsp'+probe+'_vel_gse'


rbsp_efw_make_l2_spinfit,probe,date,/no_spice_load,/no_cdf

tplot,'rbsp'+probe+'_' + ['vxb_mgse', 'sfit12_mgse']



; Load and overplot eclipse times 
rbsp_load_eclipse_predict,probe,date
get_data,'rbsp'+probe+'_umbra',data=eu
get_data,'rbsp'+probe+'_penumbra',data=ep

if is_struct(eu) then timebar,eu.x,color=50
if is_struct(eu) then timebar,eu.x + eu.y,color=50
if is_struct(ep) then timebar,ep.x,color=80
if is_struct(ep) then timebar,ep.x + ep.y,color=80



